#ifndef FS_D64_FUNCS_H
#define FS_D64_FUNCS_H

#include "file.h"
#include "includes.h"

int fs_d64_close(file64*);
int fs_d64_open(file64*);
int fs_d64_read(file64*, uint8_t*);
int fs_d64_write(file64*, uint8_t);
int fs_d64_get_header(container*, char*);
int fs_d64_create(file64*);
int fs_d64_rename(file64*, char*);
int fs_d64_delete(file64*);
int fs_d64_findfirst(file64*, char*);
int fs_d64_get_free(container*);
int fs_d64_fseek(file64*, long int);
int fs_d64_read_block(file64*, uint8_t*, long int*);
int fs_d64_write_block(file64*, uint8_t*, long int*);
int fs_d64_format(container*, char*, char*);

#endif /* FS_D64_FUNCS_H */

