#ifndef CONTAINER_FUNCS_H
#define CONTAINER_FUNCS_H

#include "container.h"

const char* container_get_name(uint8_t);
int container_open(file64*, char*);
int container_close(file64*);
int container_get_type(char*, uint8_t*);

container* container_create();
void container_init(container*);
void container_destruct(container*);

#endif /* CONTAINER_FUNCS_H */
