#ifndef FS_SYS_FUNCS_H
#define FS_SYS_FUNCS_H

#include "includes.h"
#include "file.h"

int fs_sys_open(file64*);
int fs_sys_close(file64*);
int fs_sys_read(file64*, uint8_t*);
int fs_sys_write(file64*, uint8_t);
int fs_sys_get_header(container*, char*);
int fs_sys_rename(file64*, char*);
int fs_sys_create(file64*);
int fs_sys_delete(file64*);
int fs_sys_findfirst(file64*, char*);
int fs_sys_get_free(container*);
int fs_sys_fseek(file64*, long int);
int fs_sys_read_block(file64*, uint8_t*, long int*);
int fs_sys_write_block(file64*, uint8_t*, long int*);

#endif /* FS_SYS_FUNCS_H */
