#ifndef SERVER_H
#define SERVER_H

#include "includes.h"
#include "drive.h"

#define VERSION      "0.1"

typedef struct server {
    int port;

    int num_drives;
    drive* drives[MAX_DRIVES];
    drive* curr_drive;

    /* things needed to receive packets */
    int receiver_fd;
    struct sockaddr_in receiver;

    /* things needed to store packet sender */
    struct sockaddr from;
    socklen_t from_len;

    int buf_size;
    uint8_t* buffer;

    int inject_mode;
} server;

#endif /* SERVER_H */
